curl --request GET \
--url https://api.devhelm.io/api/v1/forensics/monitors/{id}/rule-evaluations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurredAt": "2023-11-07T05:31:56Z",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"policySnapshotHashHex": "<string>",
"ruleIndex": 123,
"ruleType": "<string>",
"ruleScope": "<string>",
"inputResultIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"outputMatched": true,
"evaluationDetails": {},
"engineVersion": "<string>",
"checkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggeringTransitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"hasNext": true,
"hasPrev": true,
"totalElements": 123,
"totalPages": 123
}Filter by ruleType (e.g. consecutive_failures), region, onlyMatched=true to narrow to firing evaluations, and occurredAt window.
curl --request GET \
--url https://api.devhelm.io/api/v1/forensics/monitors/{id}/rule-evaluations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurredAt": "2023-11-07T05:31:56Z",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"policySnapshotHashHex": "<string>",
"ruleIndex": 123,
"ruleType": "<string>",
"ruleScope": "<string>",
"inputResultIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"outputMatched": true,
"evaluationDetails": {},
"engineVersion": "<string>",
"checkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggeringTransitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"hasNext": true,
"hasPrev": true,
"totalElements": 123,
"totalPages": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.devhelm.io/llms.txt
Use this file to discover all available pages before exploring further.
API key (dh_live_...) or Auth0 JWT token
Show child attributes